#
# spec file for package nvidia-texture-tools
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           nvidia-texture-tools
Summary:        NVIDIA Texture Tools
License:        MIT
Group:          Development/Tools/Other
Version:        2.0.8
Release:        4.17
BuildRequires:  Mesa-devel
BuildRequires:  cmake
BuildRequires:  freeglut-devel
BuildRequires:  gcc-c++
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  zlib-devel
# BuildRequires:  cg-devel
Source0:        http://nvidia-texture-tools.googlecode.com/files/%name-%version-1.tar.gz
Patch0:         nvidia-texture-tools-gcc47.patch
# patch libpng15 is upstreamed yet (http://code.google.com/p/nvidia-texture-tools/source/detail)
Patch1:         nvidia-texture-tools-libpng15.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64 ppc

%description
This is the first alpha release of the new NVIDIA Texture Tools. The main highlights of 
this release are support for all DX10 texture formats, higher speed and improved
compression quality.

In addition to that it also comes with a hardware accelerated compressor that 
uses CUDA to compress blocks in parallel on the GPU and runs around 10 times 
faster than the CPU counterpart.

You can obtain CUDA from our developer site at:

http://developer.nvidia.com/object/cuda.html

The source code of the Texture Tools is being released under the terms of 
the MIT license.


%prep
%setup -q -n %name
%patch0 -p1
%patch1 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
export CXXFLAGS="$CFLAGS"
%if 0%{?suse_version} > 1230
%cmake -DCMAKE_BUILD_TYPE=Release \
	   -DNVTT_SHARED=1
%else
cmake	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
     	-DDOC_INSTALL_DIR=%{_docdir} \
	-DCMAKE_BUILD_TYPE=Release \
	-DNVTT_SHARED=1
%endif
make VERBOSE=1

%install
%if 0%{?suse_version} > 1230
cd build
%endif
make install DESTDIR=$RPM_BUILD_ROOT
if [ "%_lib" != "lib" ];
then
	mv $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/%_lib
fi

%files
%defattr(-, root, root)
%doc NVIDIA_Texture_Tools_LICENSE.txt NVIDIA_Texture_Tools_README.txt ChangeLog
%{_bindir}/*
%{_includedir}/nvtt
%{_libdir}/libnv*

%changelog
* Fri Mar  6 2015 p.drouand@gmail.com
- Update to version 0.8-1
  * Fix float to fixed image conversion. Fixes issue 121.
  * ColorBlock::isSingleColor compares only RGB channels. Fixes issue 115.
  * Fix cmake build in msvc. Fixes issue 111.
  * Better estimate principal component. Fixes issue 120.
- Use %%cmake macro for openSUSE > 12.3
- Remove redundant %%clean section
* Thu Aug 30 2012 pgajdos@suse.com
- package builds also with libpng15
* Mon Jun 18 2012 coolo@suse.com
- use standard linux types instead of relying on own copies
* Wed Mar 21 2012 dimstar@opensuse.org
- Add nvidia-texture-tools-gcc47.patch: Fix build with gcc 4.7.
* Thu Feb 11 2010 jengelh@medozas.de
- add ExclusiveArch tag in specfile
* Wed Jul 15 2009 meissner@suse.de
- remove windows binaries from tarball bnc#522208
* Wed Jun 24 2009 meissner@suse.de
- initial import of version 2.0.6
  - nvidia helper libraries for various texture operations
